| Home | Libraries | People | FAQ | More

## Global _d

boost::xpressive::_d — Matches a digit character.

## Synopsis

    // In header: <boost/xpressive/regex_primitives.hpp>

    unspecified _d;

## Description

'_d' matches a single digit character. The regex traits are used to determine which characters are digits. Use ~_d to match a character that is not a digit character.

| Note
_d is like \d in perl. ~_d is like \D in perl.